Get all billing profiles
curl --request GET \
--url https://api.vantage.sh/v2/billing_profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/billing_profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/billing_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"billing_profiles": [
{
"token": "<string>",
"nickname": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"updated_at": "2023-08-04T00:00:00Z",
"billing_information_attributes": {
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": [
"<string>"
]
},
"business_information_attributes": {
"token": "<string>",
"metadata": {
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"invoice_adjustment_attributes": {
"token": "<string>",
"adjustment_items": [
{
"name": "<string>",
"amount": "<string>"
}
]
},
"managed_accounts_count": "<string>",
"banking_information_attributes": {
"token": "<string>",
"bank_name": "<string>",
"beneficiary_name": "<string>",
"tax_id": "<string>",
"secure_data": {
"account_number": "<string>",
"routing_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
}
}
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}BillingProfiles
Get all billing profiles
Returns a list of billing profiles (MSP invoicing required).
GET
/
billing_profiles
Get all billing profiles
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
⌘I